PULSAR

Get Work Orders With Filters

Get work orders with filters.

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Make all properties in T optional

Response Body

application/json

Try it live
POST
/work-orders/filters

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/work-orders/filters" \  -H "Content-Type: application/json" \  -d '{}'
{  "totalItems": 0.1,  "data": [    {      "id": "string",      "code": "string",      "name": "string",      "status": "Backlog",      "deliveryDate": "2019-08-24T14:15:22Z",      "priority": 0.1,      "machines": [        {          "ref": "string",          "name": "string",          "id": 0.1        }      ],      "targets": [        {          "id": "string",          "workOrderId": "string",          "sku": {            "progress": 0.1,            "correct": 0.1,            "updatedAt": "2019-08-24T14:15:22Z",            "unit": "string",            "description": "string",            "name": "string",            "sku": "string",            "id": "string",            "target": 0.1          }        }      ],      "rawMaterials": [        {          "id": "string",          "name": "string",          "companyId": 0.1,          "productionAdvancementId": "string"        }      ],      "start": "2019-08-24T14:15:22Z",      "end": "2019-08-24T14:15:22Z"    }  ]}